## GtkDrawingArea GtkDrawingArea |

## Functions

GtkWidget * | gtk_drawing_area_new ()
void | gtk_drawing_area_size ()

## Types and Values

struct | GtkDrawingArea

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkDrawingArea
                        ├── GtkCurve
                        ╰── GtkSpinner

## Implemented Interfaces

GtkDrawingArea implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_drawing_area_new ()

    GtkWidget *
    gtk_drawing_area_new (void);

### gtk_drawing_area_size ()

    void
    gtk_drawing_area_size (GtkDrawingArea *darea,
                           gint width,
                           gint height);

`gtk_drawing_area_size` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkDrawingArea

    struct GtkDrawingArea;